transformfactory.hh File Reference
`#include <set>`
`#include <mia/2d/transform.hh>`
`#include <mia/core/export_handler.hh>`
`#include <mia/template/transformfactory.hh>`
`#include <mia/core/factory.hh>`
Include dependency graph for 2d/transformfactory.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TTransformCreator< C2DTransformation > | C2DTransformCreator
| The base class for 2D transformation creators.
typedef THandlerSingleton< TFactoryPluginHandler< C2DTransformCreatorPlugin > > | C2DTransformCreatorHandler
| The plugin handler to manage the transformation creators.
typedef TTransformCreatorPlugin< C2DTransformation > | C2DTransformCreatorPlugin
typedef std::shared_ptr< C2DTransformCreator > | P2DTransformationFactory
| Pointer type to the transformation factory.

## Functions

P2DTransformationFactory | produce_2dtransform_factory (const std::string &descr)

## Typedef Documentation

## C2DTransformCreatorPlugin

typedef TTransformCreatorPlugin<C2DTransformation> C2DTransformCreatorPlugin

Definition at line 45 of file 2d/transformfactory.hh.

## Function Documentation

## produce_2dtransform_factory()

P2DTransformationFactory produce_2dtransform_factory | ( | const std::string & | descr | ) |

inline

Produce a transformation creator from a string

Parameters

  descr | description of the transformation type

Returns
  the creator for the transformation type

Definition at line 59 of file 2d/transformfactory.hh.

References THandlerSingleton< TFactoryPluginHandler< C2DTransformCreatorPlugin > >::instance().